#ifndef RANDOM_H
#define RANDOM_H

#include "vector.h"

void set_random_seed(int seed);

void array_set_random(double* array, int count, double min, double max);

void vec_set_random(vec_t *vector, int count, double max_magnitude);

void vec_set_random_box(vec_t *vector, int count, double min_x, double max_x, double min_y, double max_y);

#endif

